import matplotlib.pyplot as plt
import json
rating=[]

with open('movie.json', 'r', encoding='utf-8') as f:
    data=json.load(f)
    # print(data)
    for i in data:
        rating.append(i["rating"])

plt.figure(figsize=(12,8))
plt.hist(rating,                     # 数据
         bins=3,                    # 分成几个柱子
         color='#3498DB',            # 颜色
         edgecolor='white')          # 柱子边框颜色
plt.title('评分分布', fontsize=14)
plt.xlabel('评分', fontsize=13)
plt.grid(True, linestyle='--', alpha=0.5, axis='y')
plt.show()